<?php
/**
 * Lists out all the options from the Visual Effects Section of the theme options
 * This file is included in functions.php
 *
 * @package Suffusion
 * @subpackage Admin
 */

global $shortname, $theme_name, $font_faces, $all_page_ids, $all_category_ids, $sidebar_tabs;
$visual_effects_options = array(
	// Main category for Look and Feel settings
	array("name" => "Visual Effects",
		"type" => "sub-section-2",
		"category" => "visual-effects",
		"parent" => "root"
	),

	array("name" => "Theme selection",
		"type" => "sub-section-3",
		"category" => "theme-selection",
		"parent" => "visual-effects"
	),

	array("name" => "Color Scheme",
		"desc" => "Choose from one of the pre-defined color schemes. You can customize the colors further, if you wish.",
		"id" => $shortname."_color_scheme",
		"parent" => "theme-selection",
		"type" => "radio",
		"options" => array(
			"light-theme-green" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-green.jpg' alt='Green on a light theme'/><p>Green on a light theme</p></div>",
			"dark-theme-green" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-green.jpg' alt='Green on a dark theme'/><p>Green on a dark theme (Default)</p></div>",
			"light-theme-pale-blue" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-pale-blue.jpg' alt='Pale Blue on a light theme'/><p>Pale Blue on a light theme</p></div>",
			"dark-theme-pale-blue" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-pale-blue.jpg' alt='Pale Blue on a dark theme'/><p>Pale Blue on a dark theme</p></div>",
			"light-theme-royal-blue" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-royal-blue.jpg' alt='Royal Blue on a light theme'/><p>Royal Blue on a light theme</p></div>",
			"dark-theme-royal-blue" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-royal-blue.jpg' alt='Royal Blue on a dark theme'/><p>Royal Blue on a dark theme</p></div>",
			"light-theme-gray-1" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-gray-1.jpg' alt='Gray Shade 1 on a light theme'/><p>Gray Shade 1 on a light theme</p></div>",
			"dark-theme-gray-1" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-gray-1.jpg' alt='Gray Shade 1 on a dark theme'/><p>Gray Shade 1 on a dark theme</p></div>",
			"light-theme-gray-2" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-gray-2.jpg' alt='Gray Shade 2 on a light theme'/><p>Gray Shade 2 on a light theme</p></div>",
			"dark-theme-gray-2" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-gray-2.jpg' alt='Gray Shade 2 on a dark theme'/><p>Gray Shade 2 on a dark theme</p></div>",
			"light-theme-red" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-red.jpg' alt='Red on a light theme'/><p>Red on a light theme</p></div>",
			"dark-theme-red" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-red.jpg' alt='Red on a dark theme'/><p>Red on a dark theme</p></div>",
			"light-theme-orange" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-orange.jpg' alt='Orange on a light theme'/><p>Orange on a light theme</p></div>",
			"dark-theme-orange" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-orange.jpg' alt='Orange on a dark theme'/><p>Orange on a dark theme</p></div>",
			"light-theme-purple" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Light-theme-purple.jpg' alt='Purple on a light theme'/><p>Purple on a light theme</p></div>",
			"dark-theme-purple" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/Dark-theme-purple.jpg' alt='Purple on a dark theme'/><p>Purple on a dark theme</p></div>",
			"minima" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/minima.jpg' alt='Purple on a dark theme'/><p>Minima</p></div>",
		),
		"std" => "light-theme-gray-1"),

	array("name" => "Favicon setup",
		"type" => "sub-section-3",
		"category" => "favicon-setup",
		"parent" => "visual-effects"
	),

	array("name" => "Favicons",
		"desc" => "As such you don't need the support of your theme to add a Favicon for your site.
				You can drop a file called favicon.ico in your root directory for it to be effective, though that method has its limitations.
				E.g. Your file has to be in an ICO format and must be called favicon.ico.",
		"parent" => "favicon-setup",
		"type" => "blurb",),

	array("name" => "Favicon Path",
		"desc" => "Set the image to be used as your Favicon. You can use a PNG, GIF, ICO or JPG file that is 16x16, 32x32 or 64x64 px in size.
				Note that older versions of Internet Explorer do not support PNG.
				See <a href='http://perishablepress.com/press/2007/10/17/everything-you-ever-wanted-to-know-about-favicons/'>this article</a> for a very comprehensive writeup on Favicons.",
		"id" => $shortname . "_favicon_path",
		"parent" => "favicon-setup",
		"type" => "text",
		"hint" => "Enter the full URL here (including http://)",
		"std" => ""),

	array("name" => "Header Customization",
		"type" => "sub-section-3",
		"category" => "header-styles",
		"parent" => "visual-effects"
	),

	array("name" => "Default styles or custom styles for header?",
		"desc" => "You can decide to go with the colors / text styles of the theme you are using for the header, or choose your own. " .
				"If you choose default colors / text styles here then the rest of your settings in this section will be ignored. " .
				"If you choose custom styles then the settings you make here will override the theme's settings.",
		"id" => $shortname."_header_style_setting",
		"parent" => "header-styles",
		"type" => "radio",
		"note" => "Please set this option to \"Custom styles\" if you want to override the theme's settings for the header.",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Header Layout Style",
		"desc" => "You can choose different header styles - full width or page width:",
		"id" => $shortname . "_header_layout_style",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("out-hcfull" => "Header is outside the main wrapper, its background and contents are as wide as your browser window",
			"out-hcalign" => "Header is outside the main wrapper, its background and contents are aligned with the main wrapper",
			"out-cfull-halign" => "Header is outside the main wrapper, its background is as wide as your browser window, but header contents are aligned with the main wrapper",
			"in-align" => "Header is inside the main wrapper", "theme" => "Theme Default"),
		"std" => "theme"),

	array("name" => "Header Background Image Type",
		"desc" => "You can set an image to use for the header. You can either use a predefined image (default) or a custom gradient or nothing at all.",
		"id" => $shortname . "_header_image_type",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("image" => "Use a predefined image (default)",
			"gradient" => "Use a custom gradient", "rot-image" => "Use a rotating set of images from a folder",
			"none" => "No image"),
		"std" => "image"),

	array("name" => "Header Background Image",
		"desc" => "Set the image to use for the header background. If this makes the header text unreadble you can try changing the header color. " .
				"If you have chosen default styles above or a gradient then this setting will be ignored.",
		"id" => $shortname . "_header_background_image",
		"parent" => "header-styles",
		"type" => "text",
		"hint" => "Enter the full URL here (including http://)",
		"std" => ""),

	array("name" => "Header Background Image Tiling",
		"desc" => "Set how the predefined header background image should be tiled. This will define how the image will repeat on the background. " .
				"If you have chosen default styles above or not selected a background image then this setting will be ignored.",
		"id" => $shortname . "_header_background_repeat",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("repeat" => "Repeat both horizontally and vertically (default)",
			"repeat-x" => "Repeat horizontally only",
			"repeat-y" => "Repeat vertically only",
			"no-repeat" => "Do not repeat - show background once only"),
		"std" => "repeat"),

	array("name" => "Header Background Image Position",
		"desc" => "Set the position of the predefined header background image. " .
				"If you have chosen default styles above or not selected a background image then this setting will be ignored.",
		"id" => $shortname . "_header_background_position",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("top left" => "Top left (default)",
			"top center" => "Top center",
			"top right" => "Top right",
			"center left" => "Center left",
			"center center" => "Middle of the page",
			"center right" => "Center right",
			"bottom left" => "Bottom left",
			"bottom center" => "Bottom center",
			"bottom right" => "Bottom right"),
		"std" => "top left"),

	array("name" => "Folder for Rotating Header background",
		"desc" => "Set the folder for rotating header images. If you are not using a rotating header image you can ignore this.",
		"id" => $shortname . "_header_background_rot_folder",
		"parent" => "header-styles",
		"type" => "text",
		"hint" => "Enter the path to a folder under " . WP_CONTENT_DIR,
		"std" => ""),

	array("name" => "Header Background Gradient Style",
		"desc" => "Choose the style to use for the header gradient. This will be used only if the \"Header Image Type\" is set to \"Use a custom gradient\" and you have custom styles picked.",
		"id" => $shortname . "_header_gradient_style",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array(
			"top-down" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/gradient-t2d.jpg' alt='Top to Bottom'/><br/><p>Top to Bottom</p></div>",
			"down-top" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/gradient-d2t.jpg' alt='Bottom to Top'/><br/><p>Bottom to Top</p></div>",
			"left-right" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/gradient-l2r.jpg' alt='Left to Right'/><br/><p>Left to Right</p></div>",
			"right-left" => "<div class='picture'><img src='" . get_template_directory_uri() . "/admin/images/gradient-r2l.jpg' alt='Right to Left'/><br/><p>Right to Left</p></div>",
		),
		"std" => "top-down"),

	array("name" => "Header Background Gradient Start Color",
		"desc" => "Set the starting color for the gradient. The gradient goes from the Start color to the End color. " .
				"This will be used only if the \"Header Image Type\" is set to \"Use a custom gradient\" and you have custom styles picked. ",
		"id" => $shortname . "_header_gradient_start_color",
		"parent" => "header-styles",
		"type" => "color-picker",
		"std" => "FFFFFF"),

	array("name" => "Header Background Gradient End Color",
		"desc" => "Set the ending color for the gradient. The gradient goes from the Start color to the End color. " .
				"This will be used only if the \"Header Image Type\" is set to \"Use a custom gradient\" and you have custom styles picked. ",
		"id" => $shortname . "_header_gradient_end_color",
		"parent" => "header-styles",
		"type" => "color-picker",
		"std" => "000000"),

	array("name" => "Header Foreground Image Type",
		"desc" => "You might want to use a logo or simply have text in your header:",
		"id" => $shortname . "_header_fg_image_type",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("image" => "Use a predefined image or logo",
			"text" => "Use text (default)"),
		"std" => "text"),

	array("name" => "Header Foreground Image",
		"desc" => "Set the image to use for the header. This could be a logo or a stylized header using your own fonts and graphics. " .
				"If you have chosen default styles above or a text header then this setting will be ignored.",
		"id" => $shortname . "_header_fg_image",
		"parent" => "header-styles",
		"type" => "text",
		"hint" => "Enter the full URL here (including http://)",
		"std" => ""),

	array("name" => "Blog Title / Header Color",
		"desc" => "Set the color of the blog title / header. You can leave the default values in if you don't have a header image. " .
				"You may need to tweak the colors in case of you have a header background, so that the header can be seen. " .
				"If you have choose to hide your header (in the layout section) then this setting will be ignored.",
		"id" => $shortname . "_blog_title_color",
		"parent" => "header-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_blog_title_color", $theme_name)),

	array("name" => "Blog Title / Header Decoration",
		"desc" => "Set the effects of the blog title / header. " .
				"If you have choose to hide your header (in the layout section) then this setting will be ignored.",
		"id" => $shortname . "_blog_title_style",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("underline" => "Underlined", "none" => "None"),
		"std" => "none"),

	array("name" => "Blog Title / Header Hover Color",
		"desc" => "Set the color of the blog title / header when you hover over it. You can leave the default values in if you don't have a header image. " .
				"You may need to tweak the colors in case of you have a header background, so that the header can be seen. " .
				"If you have choose to hide your header (in the layout section) then this setting will be ignored.",
		"id" => $shortname . "_blog_title_hover_color",
		"parent" => "header-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_blog_title_hover_color", $theme_name)),

	array("name" => "Blog Title / Header Hover Decoration",
		"desc" => "Set the effects to show when you hover over the blog title / header. " .
				"If you have choose to hide your header (in the layout section) then this setting will be ignored.",
		"id" => $shortname . "_blog_title_hover_style",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("underline" => "Underlined", "none" => "None"),
		"std" => "none"),

	array("name" => "Blog Description / Sub-header Color",
		"desc" => "Set the color of the blog description / sub-header. You can leave the default values in if you don't have a header image or a header background. " .
				"You may need to tweak the colors in case of you have a header background, so that the header can be seen. " .
				"If you have choose to hide your header (in the layout section) then this setting will be ignored.",
		"id" => $shortname . "_blog_description_color",
		"parent" => "header-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_blog_description_color", $theme_name)),

	array("name" => "Blog Title / Header Alignment",
		"desc" => "Which side would you like your header?",
		"id" => $shortname . "_header_alignment",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("left" => "Left", "right" => "Right", "center" => "Center", "hidden" => "Hidden"),
		"std" => "left"),

	array("name" => "Description / Sub-Header Alignment",
		"desc" => "Which side would you like your sub-header?",
		"id" => $shortname . "_sub_header_alignment",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("left" => "Left", "right" => "Right", "center" => "Center", "hidden" => "Hidden"),
		"std" => "right"),

	array("name" => "Description / Sub-Header Vertical Alignment, relative to header",
		"desc" => "Which line would you like your sub-header relative to the header?",
		"id" => $shortname . "_sub_header_vertical_alignment",
		"parent" => "header-styles",
		"type" => "radio",
		"options" => array("above" => "Above the header text", "below" => "Below the header text", "same-line" => "Same line as the header"),
		"std" => "same-line"),

	array("name" => "Theme Skinning",
		"type" => "sub-section-3",
		"category" => "body-styles",
		"parent" => "visual-effects"
	),

	array("name" => "Use Rounded Corners?",
		"desc" => "By default rounded corners are shown in capable browsers like Firefox, Chrome, Safari and the latest Opera, but not in IE. You can turn off rounded corners in all browsers if you want:",
		"id" => $shortname . "_show_rounded_corners",
		"parent" => "body-styles",
		"type" => "radio",
		"options" => array("show" => "Show rounded corners where applicable for capable browsers",
			"dont-show" => "Don't show rounded corners for any browser"),
		"std" => "show"),

	array("name" => "Body Background Settings",
		"desc" => "Control the settings for the background of the main body",
		"category" => "body-bg-settings",
		"parent" => "body-styles",
		"type" => "sub-section-4",),

	array("name" => "Use 'body_class()'?",
		"desc" => "By default Suffusion assigns the output of the WP function body_class() to the &lt;body&gt; element of your site.
			But in PHP 5.2 this class is known to cause problems. So you an disable this if you want.",
		"id" => $shortname . "_body_class_use",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"type" => "radio",
		"options" => array("use" => "Use body_class (default)",
			"dont-use" => "Don't use body_class"),
		"std" => "use"),

	array("name" => "Default or custom backgrounds for main body?",
		"desc" => "You can decide to go with the colors / text styles of the theme you are using, or choose your own. " .
				"If you choose default colors / text styles here then the rest of your settings in this section will be ignored. " .
				"If you choose custom styles then the settings you make here will override the theme's settings.",
		"id" => $shortname."_body_style_setting",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"note" => "Please set this option to \"Custom styles\" if you want to override the theme's settings for the body.",
		"type" => "radio",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Body Background Color",
		"desc" => "Set the color of the background on which the page is. " .
				"Note that you can have a dark theme on a white background - the colors of the main content window are unaffected by this. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_body_background_color",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_body_background_color", $theme_name)),

	array("name" => "Body Background Image",
		"desc" => "Set the image to use for the background. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_body_background_image",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"type" => "text",
		"hint" => "Enter the full URL here (including http://)",
		"std" => ""),

	array("name" => "Body Background Image Tiling",
		"desc" => "Set how the background image should be tiled. This will define how the image will repeat on the background. " .
				"If you have chosen default styles above or not selected a background image then this setting will be ignored.",
		"id" => $shortname . "_body_background_repeat",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"type" => "radio",
		"options" => array("repeat" => "Repeat both horizontally and vertically (default)",
			"repeat-x" => "Repeat horizontally only",
			"repeat-y" => "Repeat vertically only",
			"no-repeat" => "Do not repeat - show background once only"),
		"std" => "repeat"),

	array("name" => "Background Image Scrolling",
		"desc" => "You can define your background image to either scroll with the rest of your content or stay fixed. " .
				"If you have chosen default styles above or not selected a background image then this setting will be ignored.",
		"id" => $shortname . "_body_background_attachment",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"type" => "radio",
		"options" => array("scroll" => "Let the background scroll with the rest of the page (default)",
			"fixed" => "Keep the background fixed"),
		"std" => "scroll"),

	array("name" => "Background Image Position",
		"desc" => "Set the position of the background image. " .
				"If you have chosen default styles above or not selected a background image then this setting will be ignored.",
		"id" => $shortname . "_body_background_position",
		"parent" => "body-styles",
		"grouping" => "body-bg-settings",
		"type" => "radio",
		"options" => array("top left" => "Top left (default)",
			"top center" => "Top center",
			"top right" => "Top right",
			"center left" => "Center left",
			"center center" => "Middle of the page",
			"center right" => "Center right",
			"bottom left" => "Bottom left",
			"bottom center" => "Bottom center",
			"bottom right" => "Bottom right"),
		"std" => "top left"),

	array("name" => "Wrapper Settings",
		"desc" => "Control the settings for the wrapper of the main content",
		"category" => "wrapper-bg-settings",
		"parent" => "body-styles",
		"type" => "sub-section-4",),

	array("name" => "Default or custom?",
		"id" => $shortname . "_wrapper_settings_def_cust",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "wrapper-bg-settings",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Main Wrapper Background",
		"desc" => "Setup the background of the main container in your page. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_wrapper_bg_settings",
		"parent" => "body-styles",
		"grouping" => "wrapper-bg-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => suf_evaluate_style($shortname . "_wrapper_background_color", $theme_name), "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Show Shadows",
		"desc" => "You can choose to drop a shadow for your page. Shadows look cool on light backgrounds and not so much on dark backgrounds.",
		"id" => $shortname."_show_shadows",
		"parent" => "body-styles",
		"grouping" => "wrapper-bg-settings",
		"type" => "radio",
		"options" => array("hide" => "Don't show a shadow", "show" => "Show shadow of the main window"),
		"std" => "hide"),

	array("name" => "Post Background Settings",
		"desc" => "Control the settings for the post background",
		"category" => "post-bg-settings",
		"parent" => "body-styles",
		"type" => "sub-section-4",),

	array("name" => "Default or custom?",
		"id" => $shortname . "_post_bg_settings_def_cust",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "post-bg-settings",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Post Background",
		"desc" => "Setup the background of the post. If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_post_bg_settings",
		"parent" => "body-styles",
		"grouping" => "post-bg-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => suf_evaluate_style($shortname . "_post_background_color", $theme_name), "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Date Box Settings",
		"desc" => "Control the settings for the date box on posts",
		"category" => "date-box-settings",
		"parent" => "body-styles",
		"type" => "sub-section-4",),

	array("name" => "Hide date box?",
		"id" => $shortname . "_date_box_show",
		"desc" => "If you don't want to show the date box on posts you can choose to hide it",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "date-box-settings",
		"options" => array("theme" => "Theme Default", "show" => "Show", "hide" => "Hide",
			"hide-search" => "Hide on search results. This is useful if your search returns a mix of pages and posts, because it makes the results look consistent (pages don't have a date box)",
		),
		"std" => "theme"),

/*
	array("name" => "Date Style",
		"id" => $shortname . "_date_box_style",
		"desc" => "Choose how you want the date to be displayed",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "date-box-settings",
		"options" => array("theme" => "Theme Default", "inner-box" => "Date box near post title", "line" => "Date in a line below the title",),
		"std" => "theme"),
*/

	array("name" => "Default or custom?",
		"id" => $shortname . "_date_box_settings_def_cust",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "date-box-settings",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Date Box",
		"desc" => "Setup the background of the date box. If you have chosen default styles above then this setting will be ignored. If you are setting your own image, make sure it is 48x48 px in size.",
		"id" => $shortname . "_date_box_settings",
		"parent" => "body-styles",
		"grouping" => "date-box-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => "#FFFFFF", "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "transparent")),

	array("name" => "Month Font",
		"desc" => "Setup the font for the month to be displayed.",
		"id" => $shortname . "_date_box_mfont",
		"parent" => "body-styles",
		"grouping" => "date-box-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#FFFFFF", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "50", "font-size-type" => "%")),

	array("name" => "Date Font",
		"desc" => "Setup the font for the date to be displayed.",
		"id" => $shortname . "_date_box_dfont",
		"parent" => "body-styles",
		"grouping" => "date-box-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#FFFFFF", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "100", "font-size-type" => "%")),

	array("name" => "Year Font",
		"desc" => "Setup the font for the year to be displayed.",
		"id" => $shortname . "_date_box_yfont",
		"parent" => "body-styles",
		"grouping" => "date-box-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#FFFFFF", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "50", "font-size-type" => "%")),

	array("name" => "Main Navigation Menu Settings",
		"desc" => "Control the settings for the Main Navigation Bar",
		"category" => "nav-skin-settings",
		"parent" => "body-styles",
		"type" => "sub-section-4",),

	array("name" => "Default or custom?",
		"id" => $shortname . "_nav_skin_def_cust",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "nav-skin-settings",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Navigation Bar Background",
		"desc" => "Setup the background of the navigation bar.",
		"id" => $shortname . "_nav_skin_settings_bg",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Bar Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_nav_skin_settings_bg_border",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Bar Background Font",
		"desc" => "Setup the font for the navigation bar background.",
		"id" => $shortname . "_nav_skin_settings_bg_font",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items",
		"desc" => "Setup the background of the navigation menu items in your page. This is the default background of the navigation menu items.",
		"id" => $shortname . "_nav_skin_settings",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_nav_skin_settings_border",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items Font",
		"desc" => "Setup the font for the menu items.",
		"id" => $shortname . "_nav_skin_settings_font",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items: Hover",
		"desc" => "This is the background of a navigation menu item upon hover.",
		"id" => $shortname . "_nav_skin_settings_hover",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items: Hover Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_nav_skin_settings_hover_border",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items: Hover Font",
		"desc" => "Setup the font for the menu items upon hover.",
		"id" => $shortname . "_nav_skin_settings_hover_font",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items: Visited",
		"desc" => "This is the background of a visited item in the navigation menu.",
		"id" => $shortname . "_nav_skin_settings_visited",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items: Visited Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_nav_skin_settings_visited_border",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items: Visited Font",
		"desc" => "Setup the font for the visited menu items.",
		"id" => $shortname . "_nav_skin_settings_visited_font",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items: Highlighted",
		"desc" => "This is the background of a navigation menu item upon highlighting.",
		"id" => $shortname . "_nav_skin_settings_hl",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items: Highlighted Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_nav_skin_settings_hl_border",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items: Highlighted Font",
		"desc" => "Setup the font for the menu items upon highlighting.",
		"id" => $shortname . "_nav_skin_settings_hl_font",
		"parent" => "body-styles",
		"grouping" => "nav-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),
	
	array("name" => "Top Navigation Menu Settings",
		"desc" => "Control the settings for the Top Navigation Bar",
		"category" => "navt-skin-settings",
		"parent" => "body-styles",
		"type" => "sub-section-4",),

	array("name" => "Default or custom?",
		"id" => $shortname . "_navt_skin_def_cust",
		"parent" => "body-styles",
		"type" => "radio",
		"grouping" => "navt-skin-settings",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Navigation Bar Background",
		"desc" => "Setup the background of the navigation bar.",
		"id" => $shortname . "_navt_skin_settings_bg",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Bar Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_navt_skin_settings_bg_border",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Bar Background Font",
		"desc" => "Setup the font for the navigation bar background.",
		"id" => $shortname . "_navt_skin_settings_bg_font",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items",
		"desc" => "Setup the background of the navigation menu items in your page. This is the default background of the navigation menu items.",
		"id" => $shortname . "_navt_skin_settings",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_navt_skin_settings_border",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items Font",
		"desc" => "Setup the font for the menu items.",
		"id" => $shortname . "_navt_skin_settings_font",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items: Hover",
		"desc" => "This is the background of a navigation menu item upon hover.",
		"id" => $shortname . "_navt_skin_settings_hover",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items: Hover Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_navt_skin_settings_hover_border",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items: Hover Font",
		"desc" => "Setup the font for the menu items upon hover.",
		"id" => $shortname . "_navt_skin_settings_hover_font",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items: Visited",
		"desc" => "This is the background of a visited item in the navigation menu.",
		"id" => $shortname . "_navt_skin_settings_visited",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items: Visited Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_navt_skin_settings_visited_border",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items: Visited Font",
		"desc" => "Setup the font for the visited menu items.",
		"id" => $shortname . "_navt_skin_settings_visited_font",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Navigation Menu Items: Highlighted",
		"desc" => "This is the background of a navigation menu item upon highlighting.",
		"id" => $shortname . "_navt_skin_settings_hl",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "background",
		"options" => array(),
		"std" => array("color" => '#ffffff', "image" => "", "trans" => "0",
			"position" => "top left", "repeat" => "repeat", "attachment" => "scroll", "colortype" => "custom")),

	array("name" => "Navigation Menu Items: Highlighted Border",
		"desc" => "Setup the border of the navigation bar.",
		"id" => $shortname . "_navt_skin_settings_hl_border",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#cccccc', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Navigation Menu Items: Highlighted Font",
		"desc" => "Setup the font for the menu items upon highlighting.",
		"id" => $shortname . "_navt_skin_settings_hl_font",
		"parent" => "body-styles",
		"grouping" => "navt-skin-settings",
		"type" => "font",
		"options" => array(),
		"std" => array("color" => "#444444", "font-face" => "Arial, Helvetica, sans-serif", "font-weight" => "normal",
			"font-style" => "normal", "font-variant" => "normal", "font-size" => "14", "font-size-type" => "px")),

	array("name" => "Body Font Settings",
		"type" => "sub-section-3",
		"category" => "body-font-styles",
		"parent" => "visual-effects"
	),

	array("name" => "Default or custom font styles?",
		"desc" => "You can decide to go with the colors / text styles of the theme you are using, or choose your own. " .
				"If you choose default colors / text styles here then the rest of your settings in this section will be ignored. " .
				"If you choose custom styles then the settings you make here will override the theme's settings.",
		"id" => $shortname."_body_font_style_setting",
		"parent" => "body-font-styles",
		"note" => "Please set this option to \"Custom styles\" if you want to override the theme's settings for the fonts.",
		"type" => "radio",
		"options" => array("theme" => "Theme styles (default)",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Font Face",
		"desc" => "You can choose the fonts that you want to use. If the font you pick cannot be rendered by the browser / OS, " .
				"the default sequence of fonts is attempted (Trebuchet, Trebuchet MS, Tahoma, Lucida Grande, Lucida Sans Unicode, Arial, Verdana, sans-serif). " .
				"The following is a list of \"browser-safe\" fonts, <a href='http://www.ampsoft.net/webdesign-l/WindowsMacFonts.html'>from here</a>." .
				"The fonts in <span class='mac'>blue</span> are the Mac equivalents of the Windows fonts. The <i>italicized</i> text represents the generic font family. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_body_font_family",
		"parent" => "body-font-styles",
		"note" => "Note that the fonts may not render correctly in the following, depending on your OS / browser.",
		"type" => "radio",
		"options" => $font_faces,
		"std" => "'Trebuchet MS', Helvetica, sans-serif"),

	array("name" => "Font Color",
		"desc" => "Set the color of the fonts being used. " .
				"Make sure that your font color goes well enough with the theme. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_font_color",
		"parent" => "body-font-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_font_color", $theme_name)),

	array("name" => "Link Color",
		"desc" => "Set the color of the links in the main content. Font colors in the sidebar are unaffected" .
				"Make sure that your font color goes well enough with the theme. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_link_color",
		"parent" => "body-font-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_link_color", $theme_name)),

	array("name" => "Link Decoration",
		"desc" => "Set the effects for the link text. If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_link_style",
		"parent" => "body-font-styles",
		"type" => "radio",
		"options" => array("underline" => "Underlined", "none" => "None"),
		"std" => "none"),

	array("name" => "Visited Link Color",
		"desc" => "Set the color of the visited links in the main content. Font colors in the sidebar are unaffected" .
				"Make sure that your font color goes well enough with the theme. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_visited_link_color",
		"parent" => "body-font-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_visited_link_color", $theme_name)),

	array("name" => "Visited Link Decoration",
		"desc" => "Set the effects for the visited link text. If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_visited_link_style",
		"parent" => "body-font-styles",
		"type" => "radio",
		"options" => array("underline" => "Underlined", "none" => "None"),
		"std" => "none"),

	array("name" => "Link Hover Color",
		"desc" => "Set the color that the links should become when you hover over them in the main content. Font colors in the sidebar are unaffected" .
				"Make sure that your font color goes well enough with the theme. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_link_hover_color",
		"parent" => "body-font-styles",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_link_hover_color", $theme_name)),

	array("name" => "Link Hover Decoration",
		"desc" => "Set the effects for the link text on which you are hovering. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_link_hover_style",
		"parent" => "body-font-styles",
		"type" => "radio",
		"options" => array("underline" => "Underlined", "none" => "None"),
		"std" => "underline"),

	array("name" => "Footer Customization",
		"type" => "sub-section-3",
		"category" => "footer-customization",
		"parent" => "visual-effects"
	),

	array("name" => "Footer Layout Style",
		"desc" => "You can choose different footer styles - full width or page width:",
		"id" => $shortname . "_footer_layout_style",
		"parent" => "footer-customization",
		"type" => "radio",
		"options" => array("out-hcfull" => "Footer is outside the main wrapper, its background and contents are as wide as your browser window",
			"out-hcalign" => "Footer is outside the main wrapper, its background and contents are aligned with the main wrapper",
			"out-cfull-halign" => "Footer is outside the main wrapper, its background is as wide as your browser window, but footer contents are aligned with the main wrapper",
			"in-align" => "Footer is inside the main wrapper", "theme" => "Theme Default"),
		"std" => "theme"),

	array("name" => "Text in left part of footer",
		"desc" => "Enter the text to put in the left section of the footer. HTML is permitted. For the &copy; symbol use &amp;#169; .",
		"id" => $shortname . "_footer_left",
		"parent" => "footer-customization",
		"type" => "textarea",
		"hint" => "Enter the text here.",
		"note" => "If you have any text here, it will be included with your pages (even if structurally incorrect!!).",
		"std" => "&#169; " . date('Y') . " <a href='" . get_bloginfo('url') . "'>" . get_bloginfo('name') . "</a>"),

	array("name" => "Text in central part of footer",
		"desc" => "Enter the text to put in the central section of the footer. HTML is permitted. For the &copy; symbol use &amp;#169; .",
		"id" => $shortname . "_footer_center",
		"parent" => "footer-customization",
		"type" => "textarea",
		"hint" => "Enter the text here.",
		"note" => "If you have any text here, it will be included with your pages (even if structurally incorrect!!).",
		"std" => ""),

	array("name" => "Sizes and Margins",
		"type" => "sub-section-3",
		"category" => "size-options",
		"parent" => "visual-effects"
	),

	array("name" => "Default sizes / margins for page elements?",
		"desc" => "You can decide to go with the sizes and margins (gaps) defined with the theme for different page elements or pick your own. " .
				"If you choose custom styles then the settings you make here will override the theme's settings.",
		"id" => $shortname . "_size_options",
		"parent" => "size-options",
		"type" => "radio",
		"note" => "Please set this option to \"Custom styles\" if you want to override the theme's settings for the header.",
		"options" => array("theme" => "Theme sizes and margins",
			"custom" => "Custom sizes and margins (Default)"),
		"std" => "custom"),

	array("name" => "Overall Page Width",
		"desc" => "Suffusion comes with 3 preset page width options: 800px, 1000px and 1200px. You can also define a custom width if you please, or allow the width of the page to be determined by the width of its main components like the sidebars and the main content column.
				Due to difficulties with fitting things on the page, the minimum size allowed is 600px. If you enter something less than 600, it is considered to be 600.",
		"id" => $shortname . "_wrapper_width_preset",
		"parent" => "size-options",
		"type" => "radio",
		"options" => array("800" => "800px", "1000" => "1000px (Default)", "1200" => "1200px",
			"custom" => "Custom width (defined below)", "custom-components" => "Custom width, but constructed from individual components (defined below)"),
		"std" => "1000"),

	array("name" => "Custom value for page width",
		"desc" => "If you have selected \"Custom width\" above, you can set the width here. Please enter the width in pixels. <b>Do not enter \"px\".</b>
				Anything below 600 will be treated as 600. Note that this is a fixed width theme, not a fluid theme. What this means is that you cannot specify things like \"80%\" as the width.
				Also note that if you are setting a width over here with the \"Custom width\" selection in place, the widths of the individual components like the main column, the sidebars etc. are auto-calculated",
		"id" => $shortname . "_wrapper_width",
		"parent" => "size-options",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored. Incompatible values will be treated as 1000",
		"std" => "1000"),

	array("name" => "Custom component width - Custom value for main column width",
		"desc" => "If you have selected \"Custom width, but constructed from individual components\" above, you can set the width here for the main column.
				Please enter the width in pixels. <b>Do not enter \"px\".</b>
				Anything below 380 will be treated as 380. Note that this is a fixed width theme, not a fluid theme. What this means is that you cannot specify things like \"80%\" as the width. ",
		"id" => $shortname . "_main_col_width",
		"parent" => "size-options",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored. Incompatible values will be treated as 725",
		"std" => "725"),

	array("name" => "Custom component width - Custom value for width of first sidebar",
		"desc" => "If you have selected \"Custom width, but constructed from individual components\" above, you can set the width here for the first sidebar.
				Please enter the width in pixels. <b>Do not enter \"px\".</b>
				Anything below 95 will be treated as 95. Note that this is a fixed width theme, not a fluid theme. What this means is that you cannot specify things like \"10%\" as the width. ",
		"id" => $shortname . "_sb_1_width",
		"parent" => "size-options",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored. Incompatible values will be treated as 260",
		"std" => "260"),

	array("name" => "Custom component width - Custom value for width of second sidebar",
		"desc" => "If you have selected \"Custom width, but constructed from individual components\" above, you can set the width here for the second sidebar.
				Please enter the width in pixels. <b>Do not enter \"px\".</b>
				Anything below 95 will be treated as 95. Note that this is a fixed width theme, not a fluid theme. What this means is that you cannot specify things like \"10%\" as the width. ",
		"id" => $shortname . "_sb_2_width",
		"parent" => "size-options",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored. Incompatible values will be treated as 260",
		"std" => "260"),

	array("name" => "Empty Space Between Top of Page and Header",
		"desc" => "There is a gap of 20px between the top of the page and the header. You can change it here. " .
				"If you have chosen default styles above then this setting will be ignored.",
		"id" => $shortname . "_wrapper_margin",
		"parent" => "size-options",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "20"),

	array("name" => "Height of the Header image",
		"desc" => "The header is 55px high by default. You can change this setting if you have a header image needs to fit.
			Note that both above and below the header is 15px of padding, making the effective height of the header 85px.",
		"id" => $shortname . "_header_height",
		"parent" => "size-options",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "55"),

	array("name" => "Custom Emphasis Elements",
		"type" => "sub-section-3",
		"category" => "emphasis-setup",
		"parent" => "visual-effects"
	),

	array("name" => "Custom elements to enhance page appearance",
		"desc" => "Suffusion comes with predefined elements that you can use for emphasizing sections of your blog. There are four types defined
				<ul class='margin-20'>
					<li>Download - class='download'</li>
					<li>Announcement - class='announcement'</li>
					<li>Note - class='note'</li>
					<li>Warning - class='warning'</li>
				</ul>
				To use any of these elements you can enclose text on your blog within &lt;p&gt; and &lt;/p&gt; tags or &lt;div&gt; and &lt;/div&gt; tags with the class name:

				<ul class='margin-20'>
					<li>&lt;p class='download'&gt; Some stuff to download &lt;/p&gt; or &lt;div class='download'&gt;Some other stuff to download&lt;/div&gt;</li>
					<li>&lt;p class='announcement'&gt; Some announcements &lt;/p&gt; or &lt;div class='announcement'&gt;Some more announcements&lt;/div&gt;</li>
					<li>&lt;p class='note'&gt; Notes &lt;/p&gt; or &lt;div class='announcement'&gt;More notes&lt;/div&gt;</li>
					<li>&lt;p class='warning'&gt; Warnings &lt;/p&gt; or &lt;div class='warning'&gt;Other warnings&lt;/div&gt;</li>
				</ul>",
		"parent" => "emphasis-setup",
		"type" => "blurb",
	),

	array("name" => "Default styles for emphasis elements?",
		"desc" => "You can decide to go with the emphasis styles defined with the theme or pick your own. " .
				"If you choose custom styles then the settings you make here will override the theme's settings.",
		"id" => $shortname . "_emphasis_customization",
		"parent" => "emphasis-setup",
		"type" => "radio",
		"note" => "Please set this option to \"Custom styles\" if you want to override the theme's settings for the emphasis eelements.",
		"options" => array("theme" => "Theme styles",
			"custom" => "Custom styles"),
		"std" => "theme"),

	array("name" => "Download",
		"desc" => "Change setting for the download class",
		"category" => "emphasis-download",
		"parent" => "emphasis-setup",
		"type" => "sub-section-4",),

	array("name" => "Download Block Font Color",
		"desc" => "Set the font color for text within a \"download\" block. ",
		"id" => $shortname . "_download_font_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-download",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_download_font_color", $theme_name)),

	array("name" => "Download Block Background Color",
		"desc" => "Set the background color for a \"download\" block. ",
		"id" => $shortname . "_download_background_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-download",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_download_background_color", $theme_name)),

	array("name" => "Download Block Border Color",
		"desc" => "Set the border color for a \"download\" block. ",
		"id" => $shortname . "_download_border_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-download",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_download_border_color", $theme_name)),

	array("name" => "Announcement",
		"desc" => "Change setting for the announcement class",
		"category" => "emphasis-announcement",
		"parent" => "emphasis-setup",
		"type" => "sub-section-4",),

	array("name" => "Announcement Block Font Color",
		"desc" => "Set the font color for text within a \"announcement\" block. ",
		"id" => $shortname . "_announcement_font_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-announcement",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_announcement_font_color", $theme_name)),

	array("name" => "Announcement Block Background Color",
		"desc" => "Set the background color for a \"announcement\" block. ",
		"id" => $shortname . "_announcement_background_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-announcement",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_announcement_background_color", $theme_name)),

	array("name" => "Announcement Block Border Color",
		"desc" => "Set the border color for a \"announcement\" block. ",
		"id" => $shortname . "_announcement_border_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-announcement",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_announcement_border_color", $theme_name)),

	array("name" => "Note",
		"desc" => "Change setting for the note class",
		"category" => "emphasis-note",
		"parent" => "emphasis-setup",
		"type" => "sub-section-4",),

	array("name" => "Note Block Font Color",
		"desc" => "Set the font color for text within a \"note\" block. ",
		"id" => $shortname . "_note_font_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-note",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_note_font_color", $theme_name)),

	array("name" => "Note Block Background Color",
		"desc" => "Set the background color for a \"note\" block. ",
		"id" => $shortname . "_note_background_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-note",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_note_background_color", $theme_name)),

	array("name" => "Note Block Border Color",
		"desc" => "Set the border color for a \"note\" block. ",
		"id" => $shortname . "_note_border_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-note",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_note_border_color", $theme_name)),

	array("name" => "Warning",
		"desc" => "Change setting for the warning class",
		"category" => "emphasis-warning",
		"parent" => "emphasis-setup",
		"type" => "sub-section-4",),

	array("name" => "Warning Block Font Color",
		"desc" => "Set the font color for text within a \"warning\" block. ",
		"id" => $shortname . "_warning_font_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-warning",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_warning_font_color", $theme_name)),

	array("name" => "Warning Block Background Color",
		"desc" => "Set the background color for a \"warning\" block. ",
		"id" => $shortname . "_warning_background_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-warning",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_warning_background_color", $theme_name)),

	array("name" => "Warning Block Border Color",
		"desc" => "Set the border color for a \"warning\" block. ",
		"id" => $shortname . "_warning_border_color",
		"parent" => "emphasis-setup",
		"grouping" => "emphasis-warning",
		"type" => "color-picker",
		"std" => suf_evaluate_style($shortname . "_warning_border_color", $theme_name)),
);
?>